## linux-restricted-modules-2.6.24 2.6.24.18-32.14

=== debian/changelog ===
linux-restricted-modules-2.6.24 (2.6.24.18-32.14) hardy-proposed; urgency=low

  * Bump upload number, for reupload to c-k-t PPA with fixed source package
    (previous version had its source package wrongly created, with missing
    .o files required for build, due to stock -I option passed to
    dpkg-buildpackage)

 -- Luis Henriques <luis.henriques@canonical.com>  Wed, 04 Jul 2012 14:12:12 +0100

linux-restricted-modules-2.6.24 (2.6.24.18-32.13) hardy-proposed; urgency=low

  * Bump ABI to -32

 -- Luis Henriques <luis.henriques@canonical.com>  Mon, 02 Jul 2012 16:52:55 +0100

linux-restricted-modules-2.6.24 (2.6.24.18-31.12) hardy-proposed; urgency=low

  * Bump ABI to -31

 -- Herton Ronaldo Krzesinski <herton.krzesinski@canonical.com>  Tue, 14 Feb 2012 11:08:38 -0200

linux-restricted-modules-2.6.24 (2.6.24.18-30.11) hardy-proposed; urgency=low

  * Bump upload number, for reupload to c-k-t PPA with fixed source package
    (previous version had its source package wrongly created, with missing
    .o files required for build, due to stock -I option passed to
    dpkg-buildpackage)

 -- Herton Ronaldo Krzesinski <herton.krzesinski@canonical.com>  Wed, 09 Nov 2011 20:37:57 -0200

linux-restricted-modules-2.6.24 (2.6.24.18-30.10) hardy-proposed; urgency=low

  [Tim Gardner]

  * remove generated files from the repo
  * [Config] Use 'git log' instead of 'git-log'

 -- Herton Ronaldo Krzesinski <herton.krzesinski@canonical.com>  Tue, 08 Nov 2011 12:23:49 -0200

linux-restricted-modules-2.6.24 (2.6.24.18-29.9) hardy-proposed; urgency=low

  [Brad Figg]

  * Bump ABI to -29

 -- Brad Figg <brad.figg@canonical.com>  Thu, 17 Mar 2011 10:18:13 -0700

linux-restricted-modules-2.6.24 (2.6.24.18-28.7) hardy-proposed; urgency=low

  [Stefan Bader]

  * SAUCE: Fix fglrx compilation on 64bit after CVE-2010-3081
    - LP: #642518

 -- Stefan Bader <stefan.bader@canonical.com>  Tue, 21 Sep 2010 13:19:30 +0000

linux-restricted-modules-2.6.24 (2.6.24.18-28.6) hardy-security; urgency=low

  [Stefan Bader]

  * Bump ABI to -28 for security release

 -- Stefan Bader <stefan.bader@canonical.com>  Fri, 07 May 2010 13:22:47 +0000

linux-restricted-modules-2.6.24 (2.6.24.18-27.5) hardy-security; urgency=low

  [Leann Ogasawara]

  * Bump upload to .5 due to packaging blunder 

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Thu, 28 Jan 2010 12:20:39 -0800

linux-restricted-modules-2.6.24 (2.6.24.18-27.4) hardy-security; urgency=low

  [Leann Ogasawara]

  * Bump ABI to -27 for security release 

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Mon, 25 Jan 2010 11:43:09 -0800

linux-restricted-modules-2.6.24 (2.6.24.18-26.3) hardy-security; urgency=low

  [Leann Ogasawara]

  * Bump ABI to -26 for security release 

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Tue, 01 Dec 2009 00:14:34 -0800

linux-restricted-modules-2.6.24 (2.6.24.18-25.2) hardy-security; urgency=low

  Bump ABI to -25 due to security update

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Mon, 12 Oct 2009 12:30:49 -0700

linux-restricted-modules-2.6.24 (2.6.24.18-24.1) hardy-proposed; urgency=low

  [Tim Gardner]

  * SAUCE: Patch broadcom MODULE_LICENSE
    - LP: #372425
  * SAUCE: Update Broadcom to 5_10_91_9
    - LP: #372425

 -- Stefan Bader <stefan.bader@canonical.com>  Mon, 04 May 2009 23:37:26 +0200

linux-restricted-modules-2.6.24 (2.6.24.17-24.1) hardy-proposed; urgency=low

  * Updated broadcom wl driver to 5_10_79_10
    This has been tested to fix issues with random crashed and at least one
    buffer overrun with 32 byte SSIDs.
    - LP: #292450
  * Added build-orig-source target to automatically create orig.tar.gz

 -- Stefan Bader <stefan.bader@canonical.com>  Wed, 08 Apr 2009 14:22:36 +0200

linux-restricted-modules-2.6.24 (2.6.24.16-24.57) hardy-proposed; urgency=low

  * Bump ABI to -24 for -proposed kernel

 -- Stefan Bader <stefan.bader@canonical.com>  Tue, 17 Feb 2009 20:21:39 +0000

linux-restricted-modules-2.6.24 (2.6.24.16-23.56) hardy-proposed; urgency=low

  * Update wl to 5_10_27_12
    This update from Broadcom has a new binary blob, better locking and
    protection against the interrupt handler, and sets the VLAN mode to
    off by default. They have also abstracted the ioctl code for kernels newer
    then 2.6.26.
    - LP: #292450

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 02 Jan 2009 21:59:39 +0000

linux-restricted-modules-2.6.24 (2.6.24.15-23.55) hardy-proposed; urgency=low

  * Updated Broadcom wl driver to version 5.10.27.11. The previous version
    was actually 5.10.27.9 though that value was not reflected in the original
    tarball name. Broadcom says this version should address some of
    the kernel crashes folks are seeing, though there do not appear to
    be any release notes about what exactly was fixed.
    -LP: #292450

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 16 Dec 2008 16:37:03 +0000

linux-restricted-modules-2.6.24 (2.6.24.14-23.54) hardy-proposed; urgency=low

  * ABI bump to -23 for hardy-proposed release.

 -- Stefan Bader <stefan.bader@canonical.com>  Wed, 26 Nov 2008 09:33:56 +0000

linux-restricted-modules-2.6.24 (2.6.24.14-22.53) hardy-security; urgency=low

  * ABI bump to -22 for hardy-security release.

 -- Stefan Bader <stefan.bader@canonical.com>  Thu, 20 Nov 2008 11:36:14 +0100

=== debian/control ===
# THIS FILE IS AUTO-GENERATED FROM control.stub.in
Source: linux-restricted-modules-2.6.24
Section: restricted/misc
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Uploaders: Adam Conrad <adconrad@0c3.net>, Ben Collins <ben.collins@ubuntu.com>
Standards-Version: 3.6.1
Build-Depends: cpio, debhelper (>= 4.0.0), libc6-i386 [amd64],
 kernel-wedge (>= 2.05ubuntu2), module-init-tools, rpm, sed (>> 3.0),
 sharutils, bzip2, libgtk2.0-dev [i386 amd64],
 linux-headers-2.6.24-32-386 [i386],
 linux-headers-2.6.24-32-server [amd64 i386],
 linux-headers-2.6.24-32-generic [amd64 i386],
 linux-headers-2.6.24-32-lpia [lpia],
 linux-headers-2.6.24-32-lpiacompat [lpia],
 linux-headers-2.6.24-32-openvz [i386 amd64],
 linux-headers-2.6.24-32-rt [i386 amd64],
 linux-headers-2.6.24-32-xen [amd64 i386],
 linux-headers-2.6.24-32-powerpc [powerpc],
 linux-headers-2.6.24-32-powerpc-smp [powerpc],
 linux-headers-2.6.24-32-powerpc64-smp [powerpc],
 linux-headers-2.6.24-32-mckinley [ia64],
 linux-headers-2.6.24-32-itanium [ia64],
 linux-headers-2.6.24-32-hppa32 [hppa],
 linux-headers-2.6.24-32-hppa64 [hppa],
 linux-headers-2.6.24-32-sparc64-smp [sparc],
 linux-headers-2.6.24-32-sparc64 [sparc]
Vcs-Git: http://kernel.ubuntu.com/git-repos/ubuntu/ubuntu-hardy-lrm.git

Package: linux-restricted-modules-common
Architecture: all
Priority: optional
Depends: binutils-static
Description: Non-free Linux 2.6.24 modules helper script
 This package provides only a set of helper scripts to handle
 linux-restricted-modules.

Package: linux-restricted-modules-2.6.24-32-386
Architecture: i386
Priority: optional
Provides: nvidia-kernel-96.43.05, nvidia-kernel-71.86.04, nvidia-kernel-169.12
Depends: linux-image-2.6.24-32-386, linux-restricted-modules-common (>= 2.6.24), module-init-tools, nvidia-kernel-common
Suggests: nvidia-glx | nvidia-glx-legacy | nvidia-glx-new, avm-fritz-firmware-2.6.24-32
Description: Non-free Linux 2.6.24 modules on 386
 This package provides restricted modules for Linux version 2.6.24 on
 386.
 Currently the following modules are included:
  - madwifi (Atheros)
  - fglrx (ATI)
  - nvidia
  - fcdsl, fcdsl2, fcdslsl, fcdslslusb, fcdslusb, fcdslusb2, fcdslusba,
    fcpci, fcusb, fwlanusb, fxusb (AVM ISDN)
  - ltmodem (Winmodem)
 . 
 These modules are "restricted" because they are not available under a
 completely Free licence.

Package: nvidia-glx
Architecture: i386 amd64
Depends: linux-restricted-modules-common, xserver-xorg-core (>= 1:0.99.0-1), libglu1-mesa | libglu1, ${shlibs:Depends}
Suggests: nvidia-kernel-source (>= ${nvidia:Version}), nvidia-settings
Conflicts: nvidia-glx-src, nvidia-xconfig, nvidia-glx-legacy, nvidia-glx-new
Replaces: nvidia-glx-src
Provides: xserver-xorg-video-2
Description: NVIDIA binary XFree86 4.x/X.Org driver
 These XFree86 4.x/X.Org binary drivers provide optimized hardware acceleration
 of OpenGL applications via a direct-rendering X Server and support the newer
 GeForce, nForce and Quadro families of NVIDIA chipsets.  AGP, TV-out and
 flat panel displays are also supported.
 .
 If you have a TNT, TNT2, or older GeForce, you may need the nvidia-glx-legacy
 package instead of this one.

Package: nvidia-glx-dev
Architecture: i386 amd64
Depends: nvidia-glx (>= ${nvidia:Version}), libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev
Conflicts: nvidia-glx-legacy-dev, nvidia-glx-new-dev
Description: NVIDIA binary XFree86 4.x/X.Org driver development files
 This package contains the NVIDIA binary XFree86 4.x/X.Org driver
 development files.
 .
 For more information on this source package visit NVIDIA's homepage
 at http://www.nvidia.com/ .

Package: nvidia-kernel-source
Architecture: i386 amd64
Depends: debhelper (>> 4.0.0), make, sed (>> 3.0), dpatch (>= 2.0.0)
Recommends: nvidia-glx (>= ${nvidia:Version}), kernel-package (>= 8.082), devscripts
Conflicts: nvidia-kernel-src
Replaces: nvidia-kernel-src
Description: NVIDIA binary kernel module source
 This package builds the NVIDIA XFree86 4.x/X.Org binary kernel module needed
 by nvidia-glx.  This package is not needed on an Ubuntu system because
 a pre-compiled kernel module is supplied by the linux-restricted-modules
 packages.

Package: nvidia-glx-new
Architecture: i386 amd64
Depends: linux-restricted-modules-common, xserver-xorg-core (>= 1:0.99.0-1), libglu1-mesa | libglu1, ${shlibs:Depends}
Suggests: nvidia-new-kernel-source (>= ${nvidia:NewVersion}), nvidia-settings
Conflicts: nvidia-glx-src, nvidia-xconfig, nvidia-glx, nvidia-glx-legacy
Replaces: nvidia-glx-src
Provides: nvidia-glx, xserver-xorg-video-2
Description: NVIDIA binary XFree86 4.x/X.Org 'new' driver
 These XFree86 4.x/X.Org binary drivers provide optimized hardware acceleration
 of OpenGL applications via a direct-rendering X Server and supports the  newer
 GeForce, nForce and Quadro families of NVIDIA chipsets.  AGP, TV-out and
 flat panel displays are also supported.
 .
 If you have a TNT, TNT2, or older GeForce, you may need the nvidia-glx-legacy
 package instead of this one. If you have a GeForce4, you may need the nvidia-glx
 package.

Package: nvidia-glx-new-dev
Architecture: i386 amd64
Depends: nvidia-glx-new (>= ${nvidia:NewVersion}), libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev
Conflicts: nvidia-glx-dev, nvidia-glx-legacy-dev
Description: NVIDIA binary XFree86 4.x/X.Org 'new' driver development files
 This package contains the NVIDIA binary XFree86 4.x/X.Org 'new' driver
 development files.
 .
 This is the 'new' driver for newer chipsets.  Unless your chipset is
 explicitly listed in the nvidia-glx-new description, please use the
 nvidia-glx driver, which is more compatible.
 .
 For more information on this source package visit NVIDIA's homepage
 at http://www.nvidia.com/ .

Package: nvidia-new-kernel-source
Architecture: i386 amd64
Depends: debhelper (>> 4.0.0), make, sed (>> 3.0), dpatch (>= 2.0.0)
Recommends: nvidia-glx-new (>= ${nvidia:NewVersion}), kernel-package (>= 8.082), devscripts
Conflicts: nvidia-kernel-src, nvidia-kernel-source, nvidia-legacy-kernel-source
Replaces: nvidia-kernel-src, nvidia-kernel-source
Provides: nvidia-kernel-source
Description: NVIDIA binary 'new' kernel module source
 This package builds the NVIDIA XFree86 4.x/X.Org binary kernel module needed
 by nvidia-glx.  This package is not needed on an Ubuntu system because
 a pre-compiled kernel module is supplied by the linux-restricted-modules
 packages.
 .
 This is the 'new' driver for older chipsets.  Unless your chipset is
 explicitly listed in the nvidia-glx-new description, please use the
 nvidia-glx driver, which is more compatible.

Package: nvidia-glx-legacy
Architecture: i386 amd64
Depends: linux-restricted-modules-common, xserver-xorg-core (>= 1:0.99.0-1), libglu1-mesa | libglu1, ${shlibs:Depends}
Suggests: nvidia-legacy-kernel-source (>= ${nvidia:LegacyVersion}), nvidia-settings
Conflicts: nvidia-glx-src, nvidia-glx
Replaces: nvidia-glx-src
Provides: nvidia-glx, xserver-xorg-video-2
Description: NVIDIA binary XFree86 4.x/X.Org 'legacy' driver
 These XFree86 4.x/X.Org binary drivers provide optimized hardware acceleration
 of OpenGL applications via a direct-rendering X Server and supports the TNT,
 TNT2, TNT Ultra, GeForce, and GeForce2 chipsets. AGP, TV-out and flat panel
 displays are also supported.
 .
 This is the 'legacy' driver for older chipsets.  Unless your chipset is
 explicitly listed in the above paragraph, please use the nvidia-glx driver,
 which is much more up to date.

Package: nvidia-glx-legacy-dev
Architecture: i386 amd64
Depends: nvidia-glx-legacy (>= ${nvidia:LegacyVersion}), libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev
Conflicts: nvidia-glx-dev
Description: NVIDIA binary XFree86 4.x/X.Org 'legacy' driver development files
 This package contains the NVIDIA binary XFree86 4.x/X.Org 'legacy' driver
 development files.
 .
 This is the 'legacy' driver for older chipsets.  Unless your chipset is
 explicitly listed in the nvidia-glx-legacy description, please use the
 nvidia-glx driver, which is much more up to date.
 .
 For more information on this source package visit NVIDIA's homepage
 at http://www.nvidia.com/ .

Package: nvidia-legacy-kernel-source
Architecture: i386 amd64
Depends: debhelper (>> 4.0.0), make, sed (>> 3.0), dpatch (>= 2.0.0)
Recommends: nvidia-glx-legacy (>= ${nvidia:LegacyVersion}), kernel-package (>= 8.082), devscripts
Conflicts: nvidia-kernel-src, nvidia-kernel-source
Replaces: nvidia-kernel-src, nvidia-kernel-source
Provides: nvidia-kernel-source
Description: NVIDIA binary 'legacy' kernel module source
 This package builds the NVIDIA XFree86 4.x/X.Org binary kernel module needed
 by nvidia-glx.  This package is not needed on an Ubuntu system because
 a pre-compiled kernel module is supplied by the linux-restricted-modules
 packages.
 .
 This is the 'legacy' driver for older chipsets.  Unless your chipset is
 explicitly listed in the nvidia-glx-legacy description, please use the
 nvidia-glx driver, which is much more up to date.

Package: fglrx-kernel-source
Architecture: i386 amd64
Depends: debhelper (>> 4.0.0), make, sed (>> 3.0), dpatch (>= 2.0.0)
Recommends: xorg-driver-fglrx (>= ${ati:XOrgVersion}), kernel-package (>= 8.082), devscripts
Description: ATI binary kernel module source
 This package builds the ATI XFree86 4.x/X.Org binary kernel module needed
 by xorg-driver-fglrx.  This package is not needed on an
 Ubuntu system because a pre-compiled kernel module is supplied by the
 linux-restricted-modules  packages.

Package: xorg-driver-fglrx
Architecture: i386 amd64
Depends: linux-restricted-modules-common, xserver-xorg-core (>= 1:0.99.0-1), ${shlibs:Depends}
Conflicts: fglrx-driver, xfree86-driver-fglrx, nvidia-glx, nvidia-glx-legacy
Replaces: fglrx-driver, xfree86-driver-fglrx
Provides: fglrx-driver, xserver-xorg-video-2
Description: Video driver for ATI graphics accelerators
 Video driver for the ATI Radeon and FireGL graphics accelerators.
 .
 This version of the ATI driver officially supports:
 .
  * FireGL: V8650, V8600, V7600, V7350, V7300, V7200, V7100,
            V5600, V5200, V5100, V5000, HD3870, HD3850, V3600, V3400,
            V3300, V3200, V3100, X3-256, X3, X2-256, Z1-128, T2-128,
            X1-128, X1-256p
  * FireMV: 2200 (Single card PCI-e configuration)
  * Mobility FireGL: V5000, T2
  * Mobility Radeon: X1800, X1600, X1400, X1300, X800, X700, X600, X300,
                     X200, 9800, 9600, 9550, 9500
  * Radeon Xpress: 1200 series, 1100 series, 200 series
  * Radeon: HD2900, HD2600, HD2400, X1900, X1800, X1600, X1300, X850,
            X800, X700, X600, X550, X300, 9800, 9700, 9600, 9550, 9500
 .
 ATI All-in-Wonder variants of the above cards/chips are also supported,
 but video capture is not.
 .
 This package provides 2D display drivers and hardware accelerated OpenGL.

Package: xorg-driver-fglrx-dev
Architecture: i386 amd64
Depends: xorg-driver-fglrx (= ${ati:XOrgFullVersion})
Conflicts: fglrx-driver-dev, xfree86-driver-fglrx-dev
Replaces: fglrx-driver-dev, xfree86-driver-fglrx-dev
Provides: fglrx-driver-dev
Description: Video driver for ATI graphics accelerators (devel files)
 Video driver for the ATI Radeon and FireGL graphics accelerators.
 .
 This package provides definitions for the GL and GLX extensions
 and the FGLRXGAMMA extension interface library.

Package: fglrx-control
Architecture: i386 amd64
Depends: xorg-driver-fglrx, ${shlibs:Depends}
Conflicts: xorg-driver-fglrx (< 1:7.1.0-7-11+2.6.24.5-4.12)
Replaces: xorg-driver-fglrx (< 1:7.1.0-7-11+2.6.24.5-4.12)
Description: Control panel for the ATI graphics accelerators
 Control panel for the ATI Radeon and FireGL graphics accelerators.
 .
 This package provides the control panel compiled for Qt3.

Package: fglrx-amdcccle
Architecture: i386 amd64
Depends: fglrx-control
Description: Dummy package for easy transition
 This is a dummy package for easy transition with ATI's packages.

Package: avm-fritz-kernel-source
Architecture: amd64 i386

=== debian/rules ===
#!/usr/bin/make -f
#
# Copyright (c) 2004 Herbert Xu <herbert@gondor.apana.org.au>
# Copyright (c) 2004-2005 Canonical Ltd.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# dpkg-buildpackage passes options that are incomptatible
# with the kernel build.
unexport CFLAGS
unexport LDFLAGS

SHELL := sh -e

# Common variables for all architectures
include debian/rules.d/0-common-vars.mk

# Maintainer targets
include debian/rules.d/1-maintainer.mk

prefix := $(CURDIR)/debian/linux-restricted-modules
DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
udeb_prefix := $(CURDIR)/debian/d-i-$(DEB_HOST_ARCH)

export CC=gcc
export GCC=gcc

# nvidia
nv_base_version=1.0
nv_release := 96.43.05
nv_upstreamversion := ${nv_release}
nv_version := ${nv_release}
nv_new_release := 169.12
nv_new_upstreamversion := ${nv_new_release}
nv_new_version := ${nv_new_release}
nv_legacy_release := 71.86.04
nv_legacy_upstreamversion := ${nv_legacy_release}
nv_legacy_version := ${nv_legacy_release}

# fglrx
ati_xorg_base_version = 7.1.0
ati_revision = 8-3
ati_upstreamversion = ${ati_revision}
ati_xorg_version = ${ati_xorg_base_version}-${ati_revision}
ati_shar = ati-driver-installer-${ati_revision}-x86.x86_64.run

# fritz avm
avm_base_version = 3.11
#avm_version = ${avm_base_version}-${avm_revision}
avm_version = ${avm_base_version}
pkg_avmfw := $(shell awk '/Package: avm-fritz-firmware/ {print $$2}' debian/control.stub)
avmfw_dir = $(subst avm-fritz-firmware-,,$(pkg_avmfw))

# ltmodem
ltm_base_version = 8.31+2.6-alk-9
ltm_url = http://linmodems.technion.ac.il/packages/ltmodem/kernel-2.6/

# madwifi
madwifi_version = 0.9.4

# broadcom wireless
bcmwl_dir = bcmwl

# vmware-player
vmplay_dir = $(CURDIR)/debian/vmware-player-kernel-modules-$(kernel_abi_version)
vmserv_dir = $(CURDIR)/debian/vmware-server-kernel-modules-$(kernel_abi_version)
vmtool_dir = $(CURDIR)/debian/vmware-tools-kernel-modules-$(kernel_abi_version)

FGLRX   := 1
NVIDIA  := 1
MADWIFI := 1
BCMWL   := 1
FRITZ   := 1
LTMODEM := 1
VMWARE  := 0
VMDESCHED := 1

ifeq "$(DEB_HOST_ARCH)" "i386"
export karch=i386
mw_target := TARGET=i386-elf

nv_filename := NVIDIA-Linux-x86-${nv_upstreamversion}-pkg1.run
nv_dirname := nvidia/NVIDIA-Linux-x86-${nv_upstreamversion}-pkg1
nv_url := http://download.nvidia.com/XFree86/Linux-x86/${nv_upstreamversion}/${nv_filename}

nv_new_filename := NVIDIA-Linux-x86-${nv_new_upstreamversion}-pkg1.run
nv_new_dirname := nvidia/NVIDIA-Linux-x86-${nv_new_upstreamversion}-pkg1
nv_new_url := http://download.nvidia.com/XFree86/Linux-x86/${nv_new_upstreamversion}/${nv_new_filename}

nv_legacy_filename := NVIDIA-Linux-x86-${nv_legacy_upstreamversion}-pkg1.run
nv_legacy_dirname := nvidia/NVIDIA-Linux-x86-${nv_legacy_upstreamversion}-pkg1
nv_legacy_url := http://download.nvidia.com/XFree86/Linux-x86/${nv_legacy_upstreamversion}/${nv_legacy_filename}

ati_package = fglrx
ati_url = http://www2.ati.com/drivers/linux/fglrx_${ati_revision}.zip
ati_archdir = x86
ati_nativelibdir = lib
ati_xorg_dir = x710
fritz_dir := fritz
split_fritz_modules += \
		fcdsl/src/fcdsl \
		fcdsl2/src/fcdsl2 \
		fcdslsl/src/fcdslsl \
		fcdslslusb/src/fcdslslusb \
		fcdslusb/1/fritz/src/fcdslusb \
		fcdslusb/2/fritz/src/fcdslusb2 \
		fcdslusba/src/fcdslusba \
		fcpci/src/fcpci \
		fcusb/src/fcusb \
		fwlanusb/src/fwlanusb \
		fxusb/src/fxusb
flavours := $(addprefix $(kernel_abi_version)-,generic 386 openvz rt server xen)
ati_flavours := $(addprefix $(kernel_abi_version)-,generic 386 openvz rt server xen)
nv_flavours := $(addprefix $(kernel_abi_version)-,generic 386 openvz rt server)
vmware_server_extra_flavours := $(addprefix $(kernel_abi_version)-,server)
vmware_tools_extra_flavours := $(addprefix $(kernel_abi_version)-,server)
endif

ifeq "$(DEB_HOST_ARCH)" "amd64"
export karch=x86_64
mw_target := TARGET=x86_64-elf

nv_filename := NVIDIA-Linux-x86_64-${nv_upstreamversion}-pkg2.run
nv_dirname := nvidia/NVIDIA-Linux-x86_64-${nv_upstreamversion}-pkg2
nv_url := http://download.nvidia.com/XFree86/Linux-x86_64/${nv_upstreamversion}/${nv_filename}

nv_new_filename := NVIDIA-Linux-x86_64-${nv_new_upstreamversion}-pkg2.run
nv_new_dirname := nvidia/NVIDIA-Linux-x86_64-${nv_new_upstreamversion}-pkg2
nv_new_url := http://download.nvidia.com/XFree86/Linux-x86_64/${nv_new_upstreamversion}/${nv_new_filename}

nv_legacy_filename := NVIDIA-Linux-x86_64-${nv_legacy_upstreamversion}-pkg2.run
nv_legacy_dirname := nvidia/NVIDIA-Linux-x86_64-${nv_legacy_upstreamversion}-pkg2
nv_legacy_url := http://download.nvidia.com/XFree86/Linux-x86_64/${nv_legacy_upstreamversion}/${nv_legacy_filename}

ati_package := fglrx64
ati_url = http://www2.ati.com/drivers/linux/fglrx64_${ati_revision}.zip
ati_archdir = x86_64
ati_nativelibdir = lib64
ati_xorg_dir = x710_64a
fritz_dir := fritz64
split_fritz_modules += \
		fcdsl2/src/fcdsl2 \
		fcdslsl/src/fcdslsl \
		fcdslslusb/src/fcdslslusb \
		fcdslusb/1/fritz/src/fcdslusb \
		fcdslusb/2/fritz/src/fcdslusb2 \
		fcpci/src/fcpci
flavours := $(addprefix $(kernel_abi_version)-,generic openvz rt server xen)
ati_flavours := $(addprefix $(kernel_abi_version)-,generic openvz rt server xen)
nv_flavours := $(addprefix $(kernel_abi_version)-,generic openvz rt server)
LTMODEM := 0 # no Winmodem support
VMDESCHED := 0
vmware_server_extra_flavours := $(addprefix $(kernel_abi_version)-,server)
vmware_tools_extra_flavours := $(addprefix $(kernel_abi_version)-,server)
endif

ifeq "$(DEB_HOST_ARCH)" "ia64"
export karch=ia64
mw_target := TARGET=ia64-elf
flavours := $(addprefix $(kernel_abi_version)-,itanium mckinley)

NVIDIA  := 0 # no real upstream nvidia support
FGLRX   := 0 # no fireGL support yet
MADWIFI := 0 # no madwifi support yet
BCMWL	:= 0 # no Broadcom wireless support yet
FRITZ   := 0 # no AVM Fritz support
LTMODEM := 0 # no Winmodem support
VMWARE  := 0 # no vmware player support
endif

ifeq "$(DEB_HOST_ARCH)" "powerpc"
export karch=powerpc
mw_target := TARGET=powerpc-be-elf
flavours := $(addprefix $(kernel_abi_version)-,powerpc powerpc-smp powerpc64-smp)

NVIDIA	:= 0 # no nVidia support yet
FGLRX	:= 0 # no FireGL support yet
FRITZ	:= 0 # no AVM Fritz support
LTMODEM := 0 # no Winmodem support
VMWARE  := 0 # no vmware player supportt
BCMWL	:= 0 # no Broadcom wireless support yet
endif

ifeq "$(DEB_HOST_ARCH)" "hppa"
export karch=hppa
mw_target := TARGET=hppa-be-elf
flavours := $(addprefix $(kernel_abi_version)-,hppa32 hppa64)

NVIDIA	:= 0 # no nVidia support yet
FGLRX	:= 0 # no FireGL support yet
MADWIFI := 0 # no madwifi support yet
BCMWL	:= 0 # no Broadcom wireless support yet
FRITZ	:= 0 # no AVM Fritz support
LTMODEM := 0 # no Winmodem support
VMWARE  := 0 # no vmware player supportt
endif

ifeq "$(DEB_HOST_ARCH)" "lpia"
export karch=i386
mw_target := TARGET=i386-elf
flavours := $(addprefix $(kernel_abi_version)-,lpia lpiacompat)

NVIDIA  := 0 # no nVidia support yet
FGLRX   := 0 # no FireGL support yet
MADWIFI := 1
BCMWL	:= 1
FRITZ   := 0 # no AVM Fritz support
LTMODEM := 0 # no Winmodem support
VMWARE  := 0 # no vmware player supportt
endif


ifeq "$(DEB_HOST_ARCH)" "sparc"
export karch=sparc
mw_target := TARGET=sparc-be-elf
flavours := $(addprefix $(kernel_abi_version)-,sparc64 sparc64-smp)

NVIDIA	:= 0 # no nVidia support yet
FGLRX	:= 0 # no FireGL support yet
MADWIFI := 0 # no madwifi support yet
BCMWL	:= 0 # no Broadcom wireless support yet
FRITZ	:= 0 # no AVM Fritz support
LTMODEM := 0 # no Winmodem support
VMWARE  := 0 # no vmware player supportt
endif

flavours_udeb := $(shell grep ^$(DEB_HOST_ARCH) debian/d-i/kernel-versions | awk '{print $$4}')

split_modules :=
ifeq "$(FGLRX)" "1"
split_modules += ati/build_mod/2.6.x/fglrx
endif
ifeq "$(MADWIFI)" "1"
split_modules += madwifi/ath_hal/ath_hal
endif
ifeq "$(FRITZ)" "1"
split_modules += $(split_fritz_modules)
endif
ifeq "$(LTMODEM)" "1"
split_modules += ltmodem/ltmodem ltmodem/ltserial
endif
ifeq "$(BCMWL)" "1"
split_modules += $(bcmwl_dir)/wl
endif

builddir := $(CURDIR)/debian/build
rbuilddir := debian/build

download-avm:
	rm -rf fritz fritz64

## linux-restricted-modules-2.6.24 2.6.24.24-24.0netbook1

=== debian/changelog ===
linux-restricted-modules-2.6.24 (2.6.24.24-24.0netbook1) netbook-common; urgency=low

  * Bumped version.  Built against latest kernel headers.

 -- Michael Frey <michael.frey@canonical.com>  Fri, 17 Apr 2009 20:25:06 -0400

linux-restricted-modules-2.6.24 (2.6.24.14-22.53netbook6) netbook-common; urgency=low

  * Bumped version.  Built against latest kernel headers.

 -- Michael Frey <michael.frey@canonical.com>  Fri, 17 Apr 2009 15:38:56 -0400

linux-restricted-modules-2.6.24 (2.6.24.14-22.53netbook5) netbook-common; urgency=low

  [Colin King]
	
  * Updated Broadcom wl driver to gold version of 5.10.79.10 and applied
    http://www.broadcom.com/docs/linux_sta/wl_iw.patch to fix a hang when
    using WPA-Enterprise

 -- Tony Espy <espy@canonical.com>  Mon, 30 Mar 2009 16:04:46 -0400	

=== debian/control ===
--- 
+++ 
@@ -8,24 +8,22 @@
 Build-Depends: cpio, debhelper (>= 4.0.0), libc6-i386 [amd64],
  kernel-wedge (>= 2.05ubuntu2), module-init-tools, rpm, sed (>> 3.0),
  sharutils, bzip2, libgtk2.0-dev [i386 amd64],
- linux-headers-2.6.24-32-386 [i386],
- linux-headers-2.6.24-32-server [amd64 i386],
- linux-headers-2.6.24-32-generic [amd64 i386],
- linux-headers-2.6.24-32-lpia [lpia],
- linux-headers-2.6.24-32-lpiacompat [lpia],
- linux-headers-2.6.24-32-openvz [i386 amd64],
- linux-headers-2.6.24-32-rt [i386 amd64],
- linux-headers-2.6.24-32-xen [amd64 i386],
- linux-headers-2.6.24-32-powerpc [powerpc],
- linux-headers-2.6.24-32-powerpc-smp [powerpc],
- linux-headers-2.6.24-32-powerpc64-smp [powerpc],
- linux-headers-2.6.24-32-mckinley [ia64],
- linux-headers-2.6.24-32-itanium [ia64],
- linux-headers-2.6.24-32-hppa32 [hppa],
- linux-headers-2.6.24-32-hppa64 [hppa],
- linux-headers-2.6.24-32-sparc64-smp [sparc],
- linux-headers-2.6.24-32-sparc64 [sparc]
-Vcs-Git: http://kernel.ubuntu.com/git-repos/ubuntu/ubuntu-hardy-lrm.git
+ linux-headers-2.6.24-24-386 [i386],
+ linux-headers-2.6.24-24-server [amd64 i386],
+ linux-headers-2.6.24-24-generic [amd64 i386],
+ linux-headers-2.6.24-24-lpia [lpia],
+ linux-headers-2.6.24-24-openvz [i386 amd64],
+ linux-headers-2.6.24-24-rt [i386 amd64],
+ linux-headers-2.6.24-24-xen [amd64 i386],
+ linux-headers-2.6.24-24-powerpc [powerpc],
+ linux-headers-2.6.24-24-powerpc-smp [powerpc],
+ linux-headers-2.6.24-24-powerpc64-smp [powerpc],
+ linux-headers-2.6.24-24-mckinley [ia64],
+ linux-headers-2.6.24-24-itanium [ia64],
+ linux-headers-2.6.24-24-hppa32 [hppa],
+ linux-headers-2.6.24-24-hppa64 [hppa],
+ linux-headers-2.6.24-24-sparc64-smp [sparc],
+ linux-headers-2.6.24-24-sparc64 [sparc]
 
 Package: linux-restricted-modules-common
 Architecture: all
@@ -35,12 +33,12 @@
  This package provides only a set of helper scripts to handle
  linux-restricted-modules.
 
-Package: linux-restricted-modules-2.6.24-32-386
+Package: linux-restricted-modules-2.6.24-24-386
 Architecture: i386
 Priority: optional
 Provides: nvidia-kernel-96.43.05, nvidia-kernel-71.86.04, nvidia-kernel-169.12
-Depends: linux-image-2.6.24-32-386, linux-restricted-modules-common (>= 2.6.24), module-init-tools, nvidia-kernel-common
-Suggests: nvidia-glx | nvidia-glx-legacy | nvidia-glx-new, avm-fritz-firmware-2.6.24-32
+Depends: linux-image-2.6.24-24-386, linux-restricted-modules-common (>= 2.6.24), module-init-tools, nvidia-kernel-common
+Suggests: nvidia-glx | nvidia-glx-legacy | nvidia-glx-new, avm-fritz-firmware-2.6.24-24
 Description: Non-free Linux 2.6.24 modules on 386
  This package provides restricted modules for Linux version 2.6.24 on
  386.
@@ -260,3 +258,5 @@
 
 Package: avm-fritz-kernel-source
 Architecture: amd64 i386
+Depends: debhelper (>> 4.0.0), make, sed (>> 3.0), dpatch (>= 2.0.0)
+Recommends: kernel-package (>= 8.082), devscripts

## linux-restricted-modules-2.6.24 2.6.24.25-28.1netbook01

=== Makefile ===
#!/usr/bin/make -f
#############################################################
# Copyright 1998 VMware, Inc.  All rights reserved. -- VMware Confidential
#############################################################
####
####  VMware kernel module Makefile to be distributed externally
####

####
#### SRCROOT _must_ be a relative path.
####
SRCROOT = .

VM_UNAME = $(shell uname -r)

# Header directory for the running kernel
HEADER_DIR = /lib/modules/$(VM_UNAME)/build/include

BUILD_DIR = $(HEADER_DIR)/..

DRIVER := vmnet

# Grep program
GREP = /bin/grep

vm_check_gcc = $(shell if $(CC) $(1) -S -o /dev/null -xc /dev/null \
        > /dev/null 2>&1; then echo "$(1)"; else echo "$(2)"; fi)
vm_check_file = $(shell if test -f $(1); then echo "yes"; else echo "no"; fi)

ifndef VM_KBUILD
VM_KBUILD := no
ifeq ($(call vm_check_file,$(BUILD_DIR)/Makefile), yes)
ifneq ($(call vm_check_file,$(BUILD_DIR)/Rules.make), yes)
VM_KBUILD := 26
endif
endif
export VM_KBUILD
endif

ifndef VM_KBUILD_SHOWN
ifeq ($(VM_KBUILD), no)
VM_DUMMY := $(shell echo >&2 "Using standalone build system.")
else
ifeq ($(VM_KBUILD), 24)
VM_DUMMY := $(shell echo >&2 "Using 2.4.x kernel build system.")
else
VM_DUMMY := $(shell echo >&2 "Using 2.6.x kernel build system.")
endif
endif
VM_KBUILD_SHOWN := yes
export VM_KBUILD_SHOWN
endif

ifneq ($(VM_KBUILD), no)

VMCCVER := $(shell $(CC) -dumpversion)

# If there is no version defined, we are in toplevel pass, not yet in kernel makefiles...
ifeq ($(VERSION),)

ifeq ($(VM_KBUILD), 24)
DRIVER_KO := $(DRIVER).o
else
DRIVER_KO := $(DRIVER).ko
endif

.PHONY: $(DRIVER_KO)

auto-build: $(DRIVER_KO)
	cp -f $< $(SRCROOT)/../$(DRIVER).o

$(DRIVER): $(DRIVER_KO)
	cp -f $< $@

# Pass gcc version down the chain, so we can detect if kernel attempts to use unapproved compiler
VM_CCVER := $(VMCCVER)
export VM_CCVER
VM_CC := $(CC)
export VM_CC

MAKEOVERRIDES := $(filter-out CC=%,$(MAKEOVERRIDES))

$(DRIVER_KO):
	make -C $(BUILD_DIR) SUBDIRS=$$PWD SRCROOT=$$PWD/$(SRCROOT) modules

else

ifneq ($(VM_CCVER), $(VMCCVER))
$(warning *** Inappropriate build environment: you wanted to use gcc \
 version $(VM_CCVER) while kernel attempts to use gcc version $(VMCCVER).)
$(error For proper build you'll have to replace $(CC) with symbolic \
 link to $(VM_CC))
endif

endif

include $(SRCROOT)/Makefile.kernel

ifdef TOPDIR
ifeq ($(VM_KBUILD), 24)

O_TARGET := $(DRIVER).o

obj-y := $($(DRIVER)-y)

include $(TOPDIR)/Rules.make
endif
endif

else

include $(SRCROOT)/Makefile.normal

endif

#.SILENT:

=== regression/tkip/Makefile ===
#
# Makefile for the TKIP regression test.
#
ifeq ($(obj),)
obj=	.
endif

TOP = $(obj)/../..

obj-m			+= ath_test_tkip.o
ath_test_tkip-objs	:= test_tkip.o

include $(TOP)/Makefile.inc

INCS += -I$(TOP) -I$(WLAN)

EXTRA_CFLAGS+= $(INCS) $(COPTS)

-include $(TOPDIR)/Rules.make

all:
	$(MAKE) -C $(KERNELPATH) SUBDIRS=$(shell pwd) modules

install:
	test -d $(DESTDIR)/$(KMODPATH) || mkdir -p $(DESTDIR)/$(KMODPATH)
	install -m 0644 ath_test_tkip.$(KMODSUF) $(DESTDIR)/$(KMODPATH)

clean:
	-rm -f *~ *.o *.ko *.mod.c
	-rm -f .depend .version .*.o.flags .*.o.d .*.o.cmd .*.ko.cmd
	-rm -rf .tmp_versions

ath_test_tkip.o: $(ath_test_tkip-objs)
	$(LD) $(LDOPTS) -o ath_test_tkip.$(KMODSUF) -r $(ath_test_tkip-objs)

=== fritz/fcdsl2/src/Makefile ===
# COMMON

CARD		:= fcdsl2
LIBDIR		:= /var/lib/fritz
OBJECTS		:= main.o driver.o tools.o devif.o tables.o queue.o lib.o

ifneq ($(KERNELRELEASE),)

# KERNEL

EXTRA_CFLAGS	+= -D__$(CARD)__ -DTARGET=\"$(CARD)\"
ifndef DEBUG
EXTRA_CFLAGS	+= -DNDEBUG
endif
EXTRA_LDFLAGS	+= $(LIBDIR)/$(CARD)-lib.o

obj-m		:= $(CARD).o
$(CARD)-objs	:= $(OBJECTS)

else

# ARCHIVE

SOURCES		:= $(patsubst %.o,%.c,$(OBJECTS))
HEADERS		:= defs.h driver.h lib.h libdefs.h libstub.h lock.h \
		   main.h queue.h tables.h tools.h common.h devif.h \
		   fw.h

ifeq ($(KDIR),)
KDIR		:= /lib/modules/$(shell uname -r)/build
endif

all:		$(CARD).o
	
$(CARD).o:	$(LIBDIR) $(SOURCES) $(HEADERS)
		@cp -f ../lib/$(CARD)-lib.o $(LIBDIR)
		$(MAKE) -C $(KDIR) SUBDIRS=$$PWD modules

clean:
		$(RM) $(OBJECTS)
		$(RM) $(CARD).o $(CARD).ko 
		@$(RM) .*.cmd $(CARD).mod.* 

$(LIBDIR):	
		mkdir -p $(LIBDIR)

endif

=== fritz64/fcdslsl/src/Makefile ===
# COMMON

CARD		:= fcdslsl
LIBDIR		:= /tmp/fritz
OBJECTS		:= main.o driver.o tools.o devif.o tables.o queue.o lib.o

ifneq ($(KERNELRELEASE),)

# KERNEL

EXTRA_CFLAGS	+= -D__$(CARD)__ -DTARGET=\"$(CARD)\"
ifndef DEBUG
EXTRA_CFLAGS	+= -DNDEBUG
endif
EXTRA_LDFLAGS	+= $(LIBDIR)/$(CARD)-lib.o

obj-m		:= $(CARD).o
$(CARD)-objs	:= $(OBJECTS)

else

# ARCHIVE

SOURCES		:= $(patsubst %.o,%.c,$(OBJECTS))
HEADERS		:= defs.h driver.h lib.h libdefs.h libstub.h lock.h \
		   main.h queue.h tables.h tools.h common.h devif.h \
		   fw.h

ifeq ($(KDIR),)
KDIR		:= /lib/modules/$(shell uname -r)/build
endif

all:		$(CARD).o
	
$(CARD).o:	$(LIBDIR) $(SOURCES) $(HEADERS)
		@cp -f ../lib/$(CARD)-lib.o $(LIBDIR)
		$(MAKE) -C $(KDIR) SUBDIRS=$(shell pwd) modules

clean:
		$(RM) $(OBJECTS)
		$(RM) $(CARD).o $(CARD).ko 
		@$(RM) .*.cmd $(CARD).mod.* 

$(LIBDIR):	
		mkdir -p $(LIBDIR)

endif

=== fritz64/fcdslslusb/src/Makefile ===
# COMMON

CARD		:= fcdslslusb
LIBDIR		:= /tmp/fritz
OBJECTS		:= main.o driver.o tools.o devif.o tables.o \
		   queue.o lib.o buffers.o

ifneq ($(KERNELRELEASE),)

# KERNEL

EXTRA_CFLAGS	+= -D__$(CARD)__ -DTARGET=\"$(CARD)\"
ifndef DEBUG
EXTRA_CFLAGS	+= -DNDEBUG
endif
EXTRA_LDFLAGS	+= $(LIBDIR)/$(CARD)-lib.o

obj-m		:= $(CARD).o
$(CARD)-objs	:= $(OBJECTS)

else

# ARCHIVE

SOURCES		:= $(patsubst %.o,%.c,$(OBJECTS))
HEADERS		:= defs.h driver.h lib.h libdefs.h libstub.h lock.h \
		   main.h queue.h tables.h tools.h buffers.h common.h \
		   devif.h fw.h

ifeq ($(KDIR),)
KDIR		:= /lib/modules/$(shell uname -r)/build
endif

all:		$(CARD).o
	
$(CARD).o:	$(LIBDIR) $(SOURCES) $(HEADERS)
		@cp -f ../lib/$(CARD)-lib.o $(LIBDIR)
		$(MAKE) -C $(KDIR) SUBDIRS=$(shell pwd) modules

clean:
		$(RM) $(OBJECTS)
		$(RM) $(CARD).o $(CARD).ko 
		@$(RM) .*.cmd $(CARD).mod.* 

$(LIBDIR):	
		mkdir -p $(LIBDIR)

endif

=== fritz/fcdslusb/1/fritz/src/Makefile ===
# COMMON

CARD		:= fcdslusb
LIBDIR		:= /var/lib/fritz
OBJECTS		:= main.o driver.o tools.o tables.o queue.o lib.o buffers.o

ifneq ($(KERNELRELEASE),)

# KERNEL

EXTRA_CFLAGS	+= -D__$(CARD)__ -DTARGET=\"$(CARD)\"
ifndef DEBUG
EXTRA_CFLAGS	+= -DNDEBUG
endif
EXTRA_LDFLAGS	+= $(LIBDIR)/$(CARD)-lib.o

obj-m		:= $(CARD).o
$(CARD)-objs	:= $(OBJECTS)

else

# ARCHIVE

SOURCES		:= $(patsubst %.o,%.c,$(OBJECTS))
HEADERS		:= defs.h driver.h lib.h libdefs.h libstub.h lock.h \
		   main.h queue.h tables.h tools.h buffers.h

ifeq ($(KDIR),)
KDIR		:= /lib/modules/$(shell uname -r)/build
endif

all:		$(CARD).o
	
$(CARD).o:	$(LIBDIR) $(SOURCES) $(HEADERS)
		@cp -f ../lib/$(CARD)-lib.o $(LIBDIR)
		$(MAKE) -C $(KDIR) SUBDIRS=$$PWD modules

clean:
		$(RM) $(OBJECTS)
		$(RM) $(CARD).o $(CARD).ko 
		@$(RM) .*.cmd $(CARD).mod.* 

$(LIBDIR):	
		mkdir -p $(LIBDIR)

endif

=== debian/changelog ===
linux-restricted-modules-2.6.24 (2.6.24.25-28.1netbook01) netbook-common; urgency=low

  [Ike Panhc]

  * Bump ABI to -28

 -- Ike Panhc <ike.pan@canonical.com>  Tue, 15 Jun 2010 18:17:37 +0800

linux-restricted-modules-2.6.24 (2.6.24.25-27.1netbook01) netbook-common; urgency=low

  [Leann Ogasawara]

  * Bump version to supersede OEM Hardy LRM tarball

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Wed, 10 Feb 2010 10:01:44 -0800

linux-restricted-modules-2.6.24 (2.6.24.19-27.1netbook01) netbook-common; urgency=low

  [Leann Ogasawara]

  * Sync with OEM Hardy LRM tarball

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Mon, 08 Feb 2010 11:29:02 -0800

=== debian/control ===
--- 
+++ 
@@ -8,22 +8,23 @@
 Build-Depends: cpio, debhelper (>= 4.0.0), libc6-i386 [amd64],
  kernel-wedge (>= 2.05ubuntu2), module-init-tools, rpm, sed (>> 3.0),
  sharutils, bzip2, libgtk2.0-dev [i386 amd64],
- linux-headers-2.6.24-24-386 [i386],
- linux-headers-2.6.24-24-server [amd64 i386],
- linux-headers-2.6.24-24-generic [amd64 i386],
- linux-headers-2.6.24-24-lpia [lpia],
- linux-headers-2.6.24-24-openvz [i386 amd64],
- linux-headers-2.6.24-24-rt [i386 amd64],
- linux-headers-2.6.24-24-xen [amd64 i386],
- linux-headers-2.6.24-24-powerpc [powerpc],
- linux-headers-2.6.24-24-powerpc-smp [powerpc],
- linux-headers-2.6.24-24-powerpc64-smp [powerpc],
- linux-headers-2.6.24-24-mckinley [ia64],
- linux-headers-2.6.24-24-itanium [ia64],
- linux-headers-2.6.24-24-hppa32 [hppa],
- linux-headers-2.6.24-24-hppa64 [hppa],
- linux-headers-2.6.24-24-sparc64-smp [sparc],
- linux-headers-2.6.24-24-sparc64 [sparc]
+ linux-headers-2.6.24-28-386 [i386],
+ linux-headers-2.6.24-28-server [amd64 i386],
+ linux-headers-2.6.24-28-generic [amd64 i386],
+ linux-headers-2.6.24-28-lpia [lpia],
+ linux-headers-2.6.24-28-openvz [i386 amd64],
+ linux-headers-2.6.24-28-rt [i386 amd64],
+ linux-headers-2.6.24-28-xen [amd64 i386],
+ linux-headers-2.6.24-28-powerpc [powerpc],
+ linux-headers-2.6.24-28-powerpc-smp [powerpc],
+ linux-headers-2.6.24-28-powerpc64-smp [powerpc],
+ linux-headers-2.6.24-28-mckinley [ia64],
+ linux-headers-2.6.24-28-itanium [ia64],
+ linux-headers-2.6.24-28-hppa32 [hppa],
+ linux-headers-2.6.24-28-hppa64 [hppa],
+ linux-headers-2.6.24-28-sparc64-smp [sparc],
+ linux-headers-2.6.24-28-sparc64 [sparc]
+Vcs-Git: http://kernel.ubuntu.com/git-repos/ubuntu/ubuntu-hardy-lrm.git
 
 Package: linux-restricted-modules-common
 Architecture: all
@@ -33,12 +34,12 @@
  This package provides only a set of helper scripts to handle
  linux-restricted-modules.
 
-Package: linux-restricted-modules-2.6.24-24-386
+Package: linux-restricted-modules-2.6.24-28-386
 Architecture: i386
 Priority: optional
 Provides: nvidia-kernel-96.43.05, nvidia-kernel-71.86.04, nvidia-kernel-169.12
-Depends: linux-image-2.6.24-24-386, linux-restricted-modules-common (>= 2.6.24), module-init-tools, nvidia-kernel-common
-Suggests: nvidia-glx | nvidia-glx-legacy | nvidia-glx-new, avm-fritz-firmware-2.6.24-24
+Depends: linux-image-2.6.24-28-386, linux-restricted-modules-common (>= 2.6.24), module-init-tools, nvidia-kernel-common
+Suggests: nvidia-glx | nvidia-glx-legacy | nvidia-glx-new, avm-fritz-firmware-2.6.24-28
 Description: Non-free Linux 2.6.24 modules on 386
  This package provides restricted modules for Linux version 2.6.24 on
  386.
@@ -258,5 +259,3 @@
 
 Package: avm-fritz-kernel-source
 Architecture: amd64 i386
-Depends: debhelper (>> 4.0.0), make, sed (>> 3.0), dpatch (>= 2.0.0)
-Recommends: kernel-package (>= 8.082), devscripts

## linux-restricted-modules-2.6.24 2.6.24.25-29.1netbook01

=== ath_rate/onoe/Makefile ===
#
# Copyright (c) 2004 Sam Leffler, Errno Consulting
# Copyright (c) 2004 Video54 Technologies, Inc.
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer,
#    without modification.
# 2. Redistributions in binary form must reproduce at minimum a disclaimer
#    similar to the "NO WARRANTY" disclaimer below ("Disclaimer") and any
#    redistribution must be conditioned upon including a substantially
#    similar Disclaimer requirement for further binary redistribution.
# 3. Neither the names of the above-listed copyright holders nor the names
#    of any contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# Alternatively, this software may be distributed under the terms of the
# GNU General Public License ("GPL") version 2 as published by the Free
# Software Foundation.
#
# NO WARRANTY
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF NONINFRINGEMENT, MERCHANTIBILITY
# AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL
# THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR SPECIAL, EXEMPLARY,
# OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
# IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
# THE POSSIBILITY OF SUCH DAMAGES.
#
# $Id: //depot/sw/linuxsrc/src/802_11/madwifi/madwifi/ath_rate/onoe/Makefile $
#

#
# Makefile for the Atheros Rate Control Support.
#
ifeq ($(obj),)
obj=	.
endif

TOP = $(obj)/../..

obj-m		+= ath_rate_onoe.o
ath_rate_onoe-objs	:= onoe.o

include $(TOP)/Makefile.inc

INCS += -I$(TOP) -I$(ATH) -I$(ATH_HAL) -I$(HAL)

EXTRA_CFLAGS+= $(INCS) $(COPTS) -DOPT_AH_H=\"public/$(TARGET).opt_ah.h\"

-include $(TOPDIR)/Rules.make

all:
	$(MAKE) -C $(KERNELPATH) SUBDIRS=$(shell pwd) modules

install:
	test -d $(DESTDIR)/$(KMODPATH) || mkdir -p $(DESTDIR)/$(KMODPATH)
	install -m 0644 ath_rate_onoe.$(KMODSUF) $(DESTDIR)/$(KMODPATH)

clean:
	-rm -f *~ *.o *.ko *.mod.c
	-rm -f .depend .version .*.o.flags .*.o.d .*.o.cmd .*.ko.cmd
	-rm -rf .tmp_versions

ath_rate_onoe.o: $(ath_rate_onoe-objs)
	$(LD) $(LDOPTS) -o ath_rate_onoe.$(KMODSUF) -r $(ath_rate_onoe-objs)

=== fritz64/fcdslusb/2/fritz/src/Makefile ===
# COMMON

CARD		:= fcdslusb2
LIBDIR		:= /tmp/fritz
OBJECTS		:= main.o driver.o tools.o devif.o tables.o \
		   queue.o lib.o buffers.o

ifneq ($(KERNELRELEASE),)

# KERNEL

EXTRA_CFLAGS	+= -D__$(CARD)__ -DTARGET=\"$(CARD)\"
ifndef DEBUG
EXTRA_CFLAGS	+= -DNDEBUG
endif
EXTRA_LDFLAGS	+= $(LIBDIR)/$(CARD)-lib.o

obj-m		:= $(CARD).o
$(CARD)-objs	:= $(OBJECTS)

else

# ARCHIVE

SOURCES		:= $(patsubst %.o,%.c,$(OBJECTS))
HEADERS		:= defs.h driver.h lib.h libdefs.h libstub.h lock.h \
		   main.h queue.h tables.h tools.h buffers.h common.h \
		   devif.h fw.h

ifeq ($(KDIR),)
KDIR		:= /lib/modules/$(shell uname -r)/build
endif

all:		$(CARD).o
	
$(CARD).o:	$(LIBDIR) $(SOURCES) $(HEADERS)
		@cp -f ../lib/$(CARD)-lib.o $(LIBDIR)
		$(MAKE) -C $(KDIR) SUBDIRS=$(shell pwd) modules

clean:
		$(RM) $(OBJECTS)
		$(RM) $(CARD).o $(CARD).ko 
		@$(RM) .*.cmd $(CARD).mod.* 

$(LIBDIR):	
		mkdir -p $(LIBDIR)

endif

=== debian/changelog ===
linux-restricted-modules-2.6.24 (2.6.24.25-29.1netbook01) netbook-common; urgency=low

  [Ike Panhc]

  * Bump ABI to -29

 -- Ike Panhc <ike.pan@canonical.com>  Thu, 21 Apr 2011 15:12:34 +0800

=== debian/control ===
--- 
+++ 
@@ -8,22 +8,22 @@
 Build-Depends: cpio, debhelper (>= 4.0.0), libc6-i386 [amd64],
  kernel-wedge (>= 2.05ubuntu2), module-init-tools, rpm, sed (>> 3.0),
  sharutils, bzip2, libgtk2.0-dev [i386 amd64],
- linux-headers-2.6.24-28-386 [i386],
- linux-headers-2.6.24-28-server [amd64 i386],
- linux-headers-2.6.24-28-generic [amd64 i386],
- linux-headers-2.6.24-28-lpia [lpia],
- linux-headers-2.6.24-28-openvz [i386 amd64],
- linux-headers-2.6.24-28-rt [i386 amd64],
- linux-headers-2.6.24-28-xen [amd64 i386],
- linux-headers-2.6.24-28-powerpc [powerpc],
- linux-headers-2.6.24-28-powerpc-smp [powerpc],
- linux-headers-2.6.24-28-powerpc64-smp [powerpc],
- linux-headers-2.6.24-28-mckinley [ia64],
- linux-headers-2.6.24-28-itanium [ia64],
- linux-headers-2.6.24-28-hppa32 [hppa],
- linux-headers-2.6.24-28-hppa64 [hppa],
- linux-headers-2.6.24-28-sparc64-smp [sparc],
- linux-headers-2.6.24-28-sparc64 [sparc]
+ linux-headers-2.6.24-29-386 [i386],
+ linux-headers-2.6.24-29-server [amd64 i386],
+ linux-headers-2.6.24-29-generic [amd64 i386],
+ linux-headers-2.6.24-29-lpia [lpia],
+ linux-headers-2.6.24-29-openvz [i386 amd64],
+ linux-headers-2.6.24-29-rt [i386 amd64],
+ linux-headers-2.6.24-29-xen [amd64 i386],
+ linux-headers-2.6.24-29-powerpc [powerpc],
+ linux-headers-2.6.24-29-powerpc-smp [powerpc],
+ linux-headers-2.6.24-29-powerpc64-smp [powerpc],
+ linux-headers-2.6.24-29-mckinley [ia64],
+ linux-headers-2.6.24-29-itanium [ia64],
+ linux-headers-2.6.24-29-hppa32 [hppa],
+ linux-headers-2.6.24-29-hppa64 [hppa],
+ linux-headers-2.6.24-29-sparc64-smp [sparc],
+ linux-headers-2.6.24-29-sparc64 [sparc]
 Vcs-Git: http://kernel.ubuntu.com/git-repos/ubuntu/ubuntu-hardy-lrm.git
 
 Package: linux-restricted-modules-common
@@ -34,12 +34,12 @@
  This package provides only a set of helper scripts to handle
  linux-restricted-modules.
 
-Package: linux-restricted-modules-2.6.24-28-386
+Package: linux-restricted-modules-2.6.24-29-386
 Architecture: i386
 Priority: optional
 Provides: nvidia-kernel-96.43.05, nvidia-kernel-71.86.04, nvidia-kernel-169.12
-Depends: linux-image-2.6.24-28-386, linux-restricted-modules-common (>= 2.6.24), module-init-tools, nvidia-kernel-common
-Suggests: nvidia-glx | nvidia-glx-legacy | nvidia-glx-new, avm-fritz-firmware-2.6.24-28
+Depends: linux-image-2.6.24-29-386, linux-restricted-modules-common (>= 2.6.24), module-init-tools, nvidia-kernel-common
+Suggests: nvidia-glx | nvidia-glx-legacy | nvidia-glx-new, avm-fritz-firmware-2.6.24-29
 Description: Non-free Linux 2.6.24 modules on 386
  This package provides restricted modules for Linux version 2.6.24 on
  386.

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 ltm_url = http://linmodems.technion.ac.il/packages/ltmodem/kernel-2.6/
 
 # madwifi
-madwifi_version = 0.9.4
+madwifi_version = 0.10.0
 
 # broadcom wireless
 bcmwl_dir = bcmwl
@@ -199,7 +199,7 @@
 ifeq "$(DEB_HOST_ARCH)" "lpia"
 export karch=i386
 mw_target := TARGET=i386-elf
-flavours := $(addprefix $(kernel_abi_version)-,lpia lpiacompat)
+flavours := $(addprefix $(kernel_abi_version)-,lpia)
 
 NVIDIA  := 0 # no nVidia support yet
 FGLRX   := 0 # no FireGL support yet
